// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "https://foundation.wikimedia.org/wiki/Special:MyLanguage/Policy:Terms_of_Use",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/commons-analytics/category-metrics-snapshot/{category}/{start}/{end}": {
            "get": {
                "description": "Returns a time series with metrics about the given Commons category and category tree, including media file counts and leverage counts.",
                "produces": [
                    "application/json"
                ],
                "summary": "Get time series of category metrics",
                "parameters": [
                    {
                        "type": "string",
                        "example": "Gallica",
                        "description": "The title of the desired category, in URL format",
                        "name": "category",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "20240101",
                        "description": "First month (inclusive), in YYYYMM01 format",
                        "name": "start",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "20240501",
                        "description": "Last month (exclusive), in YYYYMM01 format",
                        "name": "end",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entities.CategoryMetricResponse"
                        }
                    },
                    "400": {
                        "description": "Bad request",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not found",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal server error",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    }
                }
            }
        },
        "/commons-analytics/edits-per-category-monthly/{category}/{category-scope}/{edit-type}/{start}/{end}": {
            "get": {
                "description": "Returns a time series of the number of edits to Commons media files associated to the given category or category tree.",
                "produces": [
                    "application/json"
                ],
                "summary": "Get time series of edit counts for a given category",
                "parameters": [
                    {
                        "type": "string",
                        "example": "Gallica",
                        "description": "The title of the desired category, in URL format",
                        "name": "category",
                        "in": "path",
                        "required": true
                    },
                    {
                        "enum": [
                            "shallow",
                            "deep"
                        ],
                        "type": "string",
                        "example": "deep",
                        "description": "Plain category counts (shallow) or top-level category tree counts (deep)",
                        "name": "category-scope",
                        "in": "path",
                        "required": true
                    },
                    {
                        "enum": [
                            "create",
                            "update",
                            "all-edit-types"
                        ],
                        "type": "string",
                        "example": "create",
                        "description": "The type of edit: create, update or all-edit-types",
                        "name": "edit-type",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "20240101",
                        "description": "First month (inclusive), in YYYYMM01 format",
                        "name": "start",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "20240501",
                        "description": "Last month (exclusive), in YYYYMM01 format",
                        "name": "end",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entities.CategoryEditsResponse"
                        }
                    },
                    "400": {
                        "description": "Bad request",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not found",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal server error",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    }
                }
            }
        },
        "/commons-analytics/edits-per-user-monthly/{user-name}/{edit-type}/{start}/{end}": {
            "get": {
                "description": "Returns a time series of the number of edits to Commons media files performed by the given user.",
                "produces": [
                    "application/json"
                ],
                "summary": "Get time series of edit counts for a given user",
                "parameters": [
                    {
                        "type": "string",
                        "example": "SchlurcherBot",
                        "description": "The username of the desired editor",
                        "name": "user-name",
                        "in": "path",
                        "required": true
                    },
                    {
                        "enum": [
                            "create",
                            "update",
                            "all-edit-types"
                        ],
                        "type": "string",
                        "example": "update",
                        "description": "The type of edit: create, update or all-edit-types",
                        "name": "edit-type",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "20240101",
                        "description": "First month (inclusive), in YYYYMM01 format",
                        "name": "start",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "20240501",
                        "description": "Last month (exclusive), in YYYYMM01 format",
                        "name": "end",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entities.UserEditsResponse"
                        }
                    },
                    "400": {
                        "description": "Bad request",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not found",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal server error",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    }
                }
            }
        },
        "/commons-analytics/media-file-metrics-snapshot/{media-file}/{start}/{end}": {
            "get": {
                "description": "Returns a time series with metrics about the given Commons media file, including wiki and page leverage counts.",
                "produces": [
                    "application/json"
                ],
                "summary": "Get time series of media file metrics",
                "parameters": [
                    {
                        "type": "string",
                        "example": "Flag_of_UNESCO.svg",
                        "description": "The title of the desired media file, in URL format",
                        "name": "media-file",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "20240101",
                        "description": "First month (inclusive), in YYYYMM01 format",
                        "name": "start",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "20240501",
                        "description": "Last month (exclusive), in YYYYMM01 format",
                        "name": "end",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entities.MediaFileMetricsSnapshotResponse"
                        }
                    },
                    "400": {
                        "description": "Bad request",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not found",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal server error",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    }
                }
            }
        },
        "/commons-analytics/pageviews-per-category-monthly/{category}/{category-scope}/{wiki}/{start}/{end}": {
            "get": {
                "description": "Returns a time series of the number of pageviews to Commons media files associated to the given category or category tree.",
                "produces": [
                    "application/json"
                ],
                "summary": "Get time series of pageview counts for a given category",
                "parameters": [
                    {
                        "type": "string",
                        "example": "Gallica",
                        "description": "The title of the desired category, in URL format",
                        "name": "category",
                        "in": "path",
                        "required": true
                    },
                    {
                        "enum": [
                            "shallow",
                            "deep"
                        ],
                        "type": "string",
                        "example": "deep",
                        "description": "Plain category counts (shallow) or top-level category tree counts (deep)",
                        "name": "category-scope",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "en.wikipedia",
                        "description": "The wiki to show metrics for. Use 'all-wikis' for an overall aggregate count",
                        "name": "wiki",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "20240101",
                        "description": "First month (inclusive), in YYYYMM01 format",
                        "name": "start",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "20240501",
                        "description": "Last month (exclusive), in YYYYMM01 format",
                        "name": "end",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entities.CategoryPageviewsResponse"
                        }
                    },
                    "400": {
                        "description": "Bad request",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not found",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal server error",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    }
                }
            }
        },
        "/commons-analytics/pageviews-per-media-file-monthly/{media-file}/{wiki}/{start}/{end}": {
            "get": {
                "description": "Returns a time series of the number of pageviews to the given Commons media file.",
                "produces": [
                    "application/json"
                ],
                "summary": "Get time series of pageview counts for a given media file",
                "parameters": [
                    {
                        "type": "string",
                        "example": "Flag_of_UNESCO.svg",
                        "description": "The title of the desired media file, in URL format",
                        "name": "media-file",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "en.wikipedia",
                        "description": "The wiki to show metrics for. Use 'all-wikis' for an overall aggregate count",
                        "name": "wiki",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "20240101",
                        "description": "First month (inclusive), in YYYYMM01 format",
                        "name": "start",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "20240501",
                        "description": "Last month (exclusive), in YYYYMM01 format",
                        "name": "end",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entities.MediaFilePageviewsResponse"
                        }
                    },
                    "400": {
                        "description": "Bad request",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not found",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal server error",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    }
                }
            }
        },
        "/commons-analytics/top-edited-categories-monthly/{category-scope}/{edit-type}/{year}/{month}": {
            "get": {
                "description": "Returns the ranking of the Commons categories or category trees with most edits to their associated media files.",
                "produces": [
                    "application/json"
                ],
                "summary": "Get ranking of most edited categories",
                "parameters": [
                    {
                        "enum": [
                            "shallow",
                            "deep"
                        ],
                        "type": "string",
                        "example": "shallow",
                        "description": "Plain category counts (shallow) or top-level category tree counts (deep)",
                        "name": "category-scope",
                        "in": "path",
                        "required": true
                    },
                    {
                        "enum": [
                            "create",
                            "update",
                            "all-edit-types"
                        ],
                        "type": "string",
                        "example": "create",
                        "description": "The type of edit: create, update or all-edit-types",
                        "name": "edit-type",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "2024",
                        "description": "Year, in YYYY format",
                        "name": "year",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "05",
                        "description": "Month, in MM format",
                        "name": "month",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entities.TopEditedCategoriesResponse"
                        }
                    },
                    "400": {
                        "description": "Bad request",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not found",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal server error",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    }
                }
            }
        },
        "/commons-analytics/top-editors-monthly/{category}/{category-scope}/{edit-type}/{year}/{month}": {
            "get": {
                "description": "Returns the ranking of users with most edits to Commons media files associated to the given category or category tree.",
                "produces": [
                    "application/json"
                ],
                "summary": "Get ranking of users with most edits to a given category",
                "parameters": [
                    {
                        "type": "string",
                        "example": "Gallica",
                        "description": "The title of the desired category, in URL format",
                        "name": "category",
                        "in": "path",
                        "required": true
                    },
                    {
                        "enum": [
                            "shallow",
                            "deep"
                        ],
                        "type": "string",
                        "example": "deep",
                        "description": "Plain category counts (shallow) or top-level category tree counts (deep)",
                        "name": "category-scope",
                        "in": "path",
                        "required": true
                    },
                    {
                        "enum": [
                            "create",
                            "update",
                            "all-edit-types"
                        ],
                        "type": "string",
                        "example": "create",
                        "description": "The type of edit: create, update or all-edit-types",
                        "name": "edit-type",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "2024",
                        "description": "Year, in YYYY format",
                        "name": "year",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "05",
                        "description": "Month, in MM format",
                        "name": "month",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entities.TopEditorsResponse"
                        }
                    },
                    "400": {
                        "description": "Bad request",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not found",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal server error",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    }
                }
            }
        },
        "/commons-analytics/top-pages-per-category-monthly/{category}/{category-scope}/{wiki}/{year}/{month}": {
            "get": {
                "description": "Returns the ranking of the most visited wiki pages containing Commons media files associated to the given category or category tree.",
                "produces": [
                    "application/json"
                ],
                "summary": "Get ranking of pages with most pageviews for a given category",
                "parameters": [
                    {
                        "type": "string",
                        "example": "Gallica",
                        "description": "The title of the desired category, in URL format",
                        "name": "category",
                        "in": "path",
                        "required": true
                    },
                    {
                        "enum": [
                            "shallow",
                            "deep"
                        ],
                        "type": "string",
                        "example": "deep",
                        "description": "Plain category counts (shallow) or top-level category tree counts (deep)",
                        "name": "category-scope",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "en.wikipedia",
                        "description": "The wiki to show metrics for. Use 'all-wikis' for an overall aggregate count",
                        "name": "wiki",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "2024",
                        "description": "Year, in YYYY format",
                        "name": "year",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "05",
                        "description": "Month, in MM format",
                        "name": "month",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entities.TopPagesByCategoryResponse"
                        }
                    },
                    "400": {
                        "description": "Bad request",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not found",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal server error",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    }
                }
            }
        },
        "/commons-analytics/top-pages-per-media-file-monthly/{media-file}/{wiki}/{year}/{month}": {
            "get": {
                "description": "Returns the ranking of the most visited wiki pages containing the given media file.",
                "produces": [
                    "application/json"
                ],
                "summary": "Get ranking of pages with most pageviews for a given media file",
                "parameters": [
                    {
                        "type": "string",
                        "example": "Flag_of_UNESCO.svg",
                        "description": "The title of the desired media-file, in URL format",
                        "name": "media-file",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "en.wikipedia",
                        "description": "The wiki to show metrics for. Use 'all-wikis' for an overall aggregate count",
                        "name": "wiki",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "2024",
                        "description": "Year, in YYYY format",
                        "name": "year",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "05",
                        "description": "Month, in MM format",
                        "name": "month",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entities.TopPagesByMediaFileResponse"
                        }
                    },
                    "400": {
                        "description": "Bad request",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not found",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal server error",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    }
                }
            }
        },
        "/commons-analytics/top-viewed-categories-monthly/{category-scope}/{wiki}/{year}/{month}": {
            "get": {
                "description": "Returns the ranking of Commons categories or category trees whose associated media files appear in the wiki pages with most pageviews.",
                "produces": [
                    "application/json"
                ],
                "summary": "Get ranking of categories with most pageviews",
                "parameters": [
                    {
                        "enum": [
                            "shallow",
                            "deep"
                        ],
                        "type": "string",
                        "example": "shallow",
                        "description": "Plain category counts (shallow) or top-level category tree counts (deep)",
                        "name": "category-scope",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "all-wikis",
                        "description": "The wiki to show metrics for. Use 'all-wikis' for an overall aggregate count",
                        "name": "wiki",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "2024",
                        "description": "Year, in YYYY format",
                        "name": "year",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "05",
                        "description": "Month, in MM format",
                        "name": "month",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entities.TopViewedCategoriesResponse"
                        }
                    },
                    "400": {
                        "description": "Bad request",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not found",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal server error",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    }
                }
            }
        },
        "/commons-analytics/top-viewed-media-files-monthly/{category}/{category-scope}/{wiki}/{year}/{month}": {
            "get": {
                "description": "Returns the ranking of Commons media files appearing in the wiki pages with most pageviews.",
                "produces": [
                    "application/json"
                ],
                "summary": "Get ranking of media files with most pageviews",
                "parameters": [
                    {
                        "type": "string",
                        "example": "Gallica",
                        "description": "The title of the desired category. in URL format",
                        "name": "category",
                        "in": "path",
                        "required": true
                    },
                    {
                        "enum": [
                            "shallow",
                            "deep"
                        ],
                        "type": "string",
                        "example": "deep",
                        "description": "Plain category counts (shallow) or top-level category tree counts (deep)",
                        "name": "category-scope",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "all-wikis",
                        "description": "The wiki to show metrics for. Use 'all-wikis' for an overall aggregate count",
                        "name": "wiki",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "2024",
                        "description": "Year, in YYYY format",
                        "name": "year",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "05",
                        "description": "Month, in MM format",
                        "name": "month",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entities.TopViewedMediaFilesResponse"
                        }
                    },
                    "400": {
                        "description": "Bad request",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not found",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal server error",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    }
                }
            }
        },
        "/commons-analytics/top-wikis-per-category-monthly/{category}/{category-scope}/{year}/{month}": {
            "get": {
                "description": "Returns the ranking of wikis with the most viewed pages containing media files from the given Commons category or category tree.",
                "produces": [
                    "application/json"
                ],
                "summary": "Get ranking of wikis with most pageviews for a given category",
                "parameters": [
                    {
                        "type": "string",
                        "example": "Gallica",
                        "description": "The title of the desired category, in URL format",
                        "name": "category",
                        "in": "path",
                        "required": true
                    },
                    {
                        "enum": [
                            "shallow",
                            "deep"
                        ],
                        "type": "string",
                        "example": "deep",
                        "description": "Plain category counts (shallow) or top-level category tree counts (deep)",
                        "name": "category-scope",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "2024",
                        "description": "Year, in YYYY format",
                        "name": "year",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "05",
                        "description": "Month, in MM format",
                        "name": "month",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entities.TopWikisByCategoryResponse"
                        }
                    },
                    "400": {
                        "description": "Bad request",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not found",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal server error",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    }
                }
            }
        },
        "/commons-analytics/top-wikis-per-media-file-monthly/{media-file}/{year}/{month}": {
            "get": {
                "description": "Returns the ranking of wikis with the most viewed pages containing the given Commons media file.",
                "produces": [
                    "application/json"
                ],
                "summary": "Get ranking of wikis with most pageviews for a given media file",
                "parameters": [
                    {
                        "type": "string",
                        "example": "Flag_of_UNESCO.svg",
                        "description": "The title of the desired media file, in URL format",
                        "name": "media-file",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "2024",
                        "description": "Year, in YYYY format",
                        "name": "year",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "05",
                        "description": "Month, in MM format",
                        "name": "month",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entities.TopWikisByMediaFileResponse"
                        }
                    },
                    "400": {
                        "description": "Bad request",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not found",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal server error",
                        "schema": {
                            "type": "object",
                            "properties": {
                                "detail": {
                                    "type": "string"
                                },
                                "method": {
                                    "type": "string"
                                },
                                "status": {
                                    "type": "integer"
                                },
                                "title": {
                                    "type": "string"
                                },
                                "uri": {
                                    "type": "string"
                                }
                            }
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "entities.CategoryEdits": {
            "type": "object",
            "properties": {
                "edit-count": {
                    "type": "integer",
                    "example": 47
                },
                "timestamp": {
                    "type": "string",
                    "example": "2024010100"
                }
            }
        },
        "entities.CategoryEditsContext": {
            "type": "object",
            "properties": {
                "category": {
                    "type": "string",
                    "example": "Gallica"
                },
                "category-scope": {
                    "type": "string",
                    "example": "deep"
                },
                "edit-type": {
                    "type": "string",
                    "example": "create"
                },
                "end": {
                    "type": "string",
                    "example": "2024050100"
                },
                "endpoint": {
                    "type": "string",
                    "example": "commons-analytics/edits-per-category-monthly"
                },
                "start": {
                    "type": "string",
                    "example": "2024010100"
                }
            }
        },
        "entities.CategoryEditsResponse": {
            "type": "object",
            "properties": {
                "context": {
                    "$ref": "#/definitions/entities.CategoryEditsContext"
                },
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.CategoryEdits"
                    }
                }
            }
        },
        "entities.CategoryMetric": {
            "type": "object",
            "properties": {
                "leveraging-page-count": {
                    "type": "integer",
                    "example": 47
                },
                "leveraging-page-count-deep": {
                    "type": "integer",
                    "example": 47
                },
                "leveraging-wiki-count": {
                    "type": "integer",
                    "example": 12
                },
                "leveraging-wiki-count-deep": {
                    "type": "integer",
                    "example": 120
                },
                "media-file-count": {
                    "type": "integer",
                    "example": 12345
                },
                "media-file-count-deep": {
                    "type": "integer",
                    "example": 1234567
                },
                "timestamp": {
                    "type": "string",
                    "example": "2024010100"
                },
                "used-media-file-count": {
                    "type": "integer",
                    "example": 453
                },
                "used-media-file-count-deep": {
                    "type": "integer",
                    "example": 4536
                }
            }
        },
        "entities.CategoryMetricResponse": {
            "type": "object",
            "properties": {
                "context": {
                    "$ref": "#/definitions/entities.CategoryMetricsSnapshotContext"
                },
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.CategoryMetric"
                    }
                }
            }
        },
        "entities.CategoryMetricsSnapshotContext": {
            "type": "object",
            "properties": {
                "category": {
                    "type": "string",
                    "example": "Gallica"
                },
                "end": {
                    "type": "string",
                    "example": "2024050100"
                },
                "endpoint": {
                    "type": "string",
                    "example": "commons-analytics/category-metrics-snapshot"
                },
                "start": {
                    "type": "string",
                    "example": "2024010100"
                }
            }
        },
        "entities.CategoryPageviews": {
            "type": "object",
            "properties": {
                "pageview-count": {
                    "type": "integer",
                    "example": 47
                },
                "timestamp": {
                    "type": "string",
                    "example": "2024010100"
                }
            }
        },
        "entities.CategoryPageviewsContext": {
            "type": "object",
            "properties": {
                "category": {
                    "type": "string",
                    "example": "Gallica"
                },
                "category-scope": {
                    "type": "string",
                    "example": "deep"
                },
                "end": {
                    "type": "string",
                    "example": "2024050100"
                },
                "endpoint": {
                    "type": "string",
                    "example": "commons-analytics/pageviews-per-category-monthly"
                },
                "start": {
                    "type": "string",
                    "example": "2024010100"
                },
                "wiki": {
                    "type": "string",
                    "example": "en.wikipedia"
                }
            }
        },
        "entities.CategoryPageviewsResponse": {
            "type": "object",
            "properties": {
                "context": {
                    "$ref": "#/definitions/entities.CategoryPageviewsContext"
                },
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.CategoryPageviews"
                    }
                }
            }
        },
        "entities.MediaFileMetricsSnapshot": {
            "type": "object",
            "properties": {
                "leveraging-page-count": {
                    "type": "integer",
                    "example": 47
                },
                "leveraging-wiki-count": {
                    "type": "integer",
                    "example": 12
                },
                "timestamp": {
                    "type": "string",
                    "example": "2024010100"
                }
            }
        },
        "entities.MediaFileMetricsSnapshotContext": {
            "type": "object",
            "properties": {
                "end": {
                    "type": "string",
                    "example": "2024050100"
                },
                "endpoint": {
                    "type": "string",
                    "example": "commons-analytics/media-file-metrics-snapshot"
                },
                "media-file": {
                    "type": "string",
                    "example": "Flag_of_UNESCO.svg"
                },
                "start": {
                    "type": "string",
                    "example": "2024010100"
                }
            }
        },
        "entities.MediaFileMetricsSnapshotResponse": {
            "type": "object",
            "properties": {
                "context": {
                    "$ref": "#/definitions/entities.MediaFileMetricsSnapshotContext"
                },
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.MediaFileMetricsSnapshot"
                    }
                }
            }
        },
        "entities.MediaFilePageviews": {
            "type": "object",
            "properties": {
                "pageview-count": {
                    "type": "integer",
                    "example": 47
                },
                "timestamp": {
                    "type": "string",
                    "example": "2024010100"
                }
            }
        },
        "entities.MediaFilePageviewsContext": {
            "type": "object",
            "properties": {
                "end": {
                    "type": "string",
                    "example": "2024050100"
                },
                "endpoint": {
                    "type": "string",
                    "example": "commons-analytics/pageviews-per-media-file-monthly"
                },
                "media-file": {
                    "type": "string",
                    "example": "Flag_of_UNESCO.svg"
                },
                "start": {
                    "type": "string",
                    "example": "2024010100"
                },
                "wiki": {
                    "type": "string",
                    "example": "en.wikipedia"
                }
            }
        },
        "entities.MediaFilePageviewsResponse": {
            "type": "object",
            "properties": {
                "context": {
                    "$ref": "#/definitions/entities.MediaFilePageviewsContext"
                },
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.MediaFilePageviews"
                    }
                }
            }
        },
        "entities.TopEditedCategories": {
            "type": "object",
            "properties": {
                "category": {
                    "type": "string",
                    "example": "Gallica"
                },
                "edit-count": {
                    "type": "integer",
                    "example": 47
                },
                "rank": {
                    "type": "integer",
                    "example": 4
                }
            }
        },
        "entities.TopEditedCategoriesContext": {
            "type": "object",
            "properties": {
                "category-scope": {
                    "type": "string",
                    "example": "shallow"
                },
                "edit-type": {
                    "type": "string",
                    "example": "create"
                },
                "endpoint": {
                    "type": "string",
                    "example": "commons-analytics/top-edited-categories-monthly"
                },
                "month": {
                    "type": "string",
                    "example": "05"
                },
                "year": {
                    "type": "string",
                    "example": "2024"
                }
            }
        },
        "entities.TopEditedCategoriesResponse": {
            "type": "object",
            "properties": {
                "context": {
                    "$ref": "#/definitions/entities.TopEditedCategoriesContext"
                },
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.TopEditedCategories"
                    }
                }
            }
        },
        "entities.TopEditors": {
            "type": "object",
            "properties": {
                "edit-count": {
                    "type": "integer",
                    "example": 47
                },
                "rank": {
                    "type": "integer",
                    "example": 4
                },
                "user-name": {
                    "type": "string",
                    "example": "SchlurcherBot"
                }
            }
        },
        "entities.TopEditorsContext": {
            "type": "object",
            "properties": {
                "category": {
                    "type": "string",
                    "example": "Gallica"
                },
                "category-scope": {
                    "type": "string",
                    "example": "deep"
                },
                "edit-type": {
                    "type": "string",
                    "example": "create"
                },
                "endpoint": {
                    "type": "string",
                    "example": "commons-analytics/top-editors-monthly"
                },
                "month": {
                    "type": "string",
                    "example": "05"
                },
                "year": {
                    "type": "string",
                    "example": "2024"
                }
            }
        },
        "entities.TopEditorsResponse": {
            "type": "object",
            "properties": {
                "context": {
                    "$ref": "#/definitions/entities.TopEditorsContext"
                },
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.TopEditors"
                    }
                }
            }
        },
        "entities.TopPagesByCategory": {
            "type": "object",
            "properties": {
                "page-title": {
                    "type": "string",
                    "example": "Bangkok"
                },
                "pageview-count": {
                    "type": "integer",
                    "example": 47
                },
                "rank": {
                    "type": "integer",
                    "example": 4
                }
            }
        },
        "entities.TopPagesByCategoryContext": {
            "type": "object",
            "properties": {
                "category": {
                    "type": "string",
                    "example": "Gallica"
                },
                "category-scope": {
                    "type": "string",
                    "example": "deep"
                },
                "endpoint": {
                    "type": "string",
                    "example": "commons-analytics/top-pages-per-category-monthly"
                },
                "month": {
                    "type": "string",
                    "example": "05"
                },
                "wiki": {
                    "type": "string",
                    "example": "en.wikipedia"
                },
                "year": {
                    "type": "string",
                    "example": "2024"
                }
            }
        },
        "entities.TopPagesByCategoryResponse": {
            "type": "object",
            "properties": {
                "context": {
                    "$ref": "#/definitions/entities.TopPagesByCategoryContext"
                },
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.TopPagesByCategory"
                    }
                }
            }
        },
        "entities.TopPagesByMediaFile": {
            "type": "object",
            "properties": {
                "page-title": {
                    "type": "string",
                    "example": "Bangkok"
                },
                "pageview-count": {
                    "type": "integer",
                    "example": 47
                },
                "rank": {
                    "type": "integer",
                    "example": 4
                }
            }
        },
        "entities.TopPagesByMediaFileContext": {
            "type": "object",
            "properties": {
                "endpoint": {
                    "type": "string",
                    "example": "commons-analytics/top-pages-per-media-file-monthly"
                },
                "media-file": {
                    "type": "string",
                    "example": "Flag_of_UNESCO.svg"
                },
                "month": {
                    "type": "string",
                    "example": "05"
                },
                "wiki": {
                    "type": "string",
                    "example": "en.wikipedia"
                },
                "year": {
                    "type": "string",
                    "example": "2024"
                }
            }
        },
        "entities.TopPagesByMediaFileResponse": {
            "type": "object",
            "properties": {
                "context": {
                    "$ref": "#/definitions/entities.TopPagesByMediaFileContext"
                },
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.TopPagesByMediaFile"
                    }
                }
            }
        },
        "entities.TopViewedCategories": {
            "type": "object",
            "properties": {
                "category": {
                    "type": "string",
                    "example": "Gallica"
                },
                "pageview-count": {
                    "type": "integer",
                    "example": 47
                },
                "rank": {
                    "type": "integer",
                    "example": 4
                }
            }
        },
        "entities.TopViewedCategoriesContext": {
            "type": "object",
            "properties": {
                "category-scope": {
                    "type": "string",
                    "example": "shallow"
                },
                "endpoint": {
                    "type": "string",
                    "example": "commons-analytics/top-viewed-categories-monthly"
                },
                "month": {
                    "type": "string",
                    "example": "05"
                },
                "wiki": {
                    "type": "string",
                    "example": "all-wikis"
                },
                "year": {
                    "type": "string",
                    "example": "2024"
                }
            }
        },
        "entities.TopViewedCategoriesResponse": {
            "type": "object",
            "properties": {
                "context": {
                    "$ref": "#/definitions/entities.TopViewedCategoriesContext"
                },
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.TopViewedCategories"
                    }
                }
            }
        },
        "entities.TopViewedMediaFiles": {
            "type": "object",
            "properties": {
                "media-file": {
                    "type": "string",
                    "example": "Habits_gaulois.jpg"
                },
                "pageview-count": {
                    "type": "integer",
                    "example": 46
                },
                "rank": {
                    "type": "integer",
                    "example": 4
                }
            }
        },
        "entities.TopViewedMediaFilesContext": {
            "type": "object",
            "properties": {
                "category": {
                    "type": "string",
                    "example": "Gallica"
                },
                "category-scope": {
                    "type": "string",
                    "example": "deep"
                },
                "endpoint": {
                    "type": "string",
                    "example": "commons-analytics/top-viewed-media-files-monthly"
                },
                "month": {
                    "type": "string",
                    "example": "05"
                },
                "wiki": {
                    "type": "string",
                    "example": "all-wikis"
                },
                "year": {
                    "type": "string",
                    "example": "2024"
                }
            }
        },
        "entities.TopViewedMediaFilesResponse": {
            "type": "object",
            "properties": {
                "context": {
                    "$ref": "#/definitions/entities.TopViewedMediaFilesContext"
                },
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.TopViewedMediaFiles"
                    }
                }
            }
        },
        "entities.TopWikisByCategory": {
            "type": "object",
            "properties": {
                "pageview-count": {
                    "type": "integer",
                    "example": 47
                },
                "rank": {
                    "type": "integer",
                    "example": 4
                },
                "wiki": {
                    "type": "string",
                    "example": "en.wikipedia"
                }
            }
        },
        "entities.TopWikisByCategoryContext": {
            "type": "object",
            "properties": {
                "category": {
                    "type": "string",
                    "example": "Gallica"
                },
                "category-scope": {
                    "type": "string",
                    "example": "deep"
                },
                "endpoint": {
                    "type": "string",
                    "example": "commons-analytics/top-wikis-per-category-monthly"
                },
                "month": {
                    "type": "string",
                    "example": "05"
                },
                "year": {
                    "type": "string",
                    "example": "2024"
                }
            }
        },
        "entities.TopWikisByCategoryResponse": {
            "type": "object",
            "properties": {
                "context": {
                    "$ref": "#/definitions/entities.TopWikisByCategoryContext"
                },
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.TopWikisByCategory"
                    }
                }
            }
        },
        "entities.TopWikisByMediaFile": {
            "type": "object",
            "properties": {
                "pageview-count": {
                    "type": "integer",
                    "example": 47
                },
                "rank": {
                    "type": "integer",
                    "example": 4
                },
                "wiki": {
                    "type": "string",
                    "example": "en.wikipedia"
                }
            }
        },
        "entities.TopWikisByMediaFileContext": {
            "type": "object",
            "properties": {
                "endpoint": {
                    "type": "string",
                    "example": "commons-analytics/top-wikis-per-media-file-monthly"
                },
                "media-file": {
                    "type": "string",
                    "example": "Flag_of_UNESCO.svg"
                },
                "month": {
                    "type": "string",
                    "example": "05"
                },
                "year": {
                    "type": "string",
                    "example": "2024"
                }
            }
        },
        "entities.TopWikisByMediaFileResponse": {
            "type": "object",
            "properties": {
                "context": {
                    "$ref": "#/definitions/entities.TopWikisByMediaFileContext"
                },
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.TopWikisByMediaFile"
                    }
                }
            }
        },
        "entities.UserEdits": {
            "type": "object",
            "properties": {
                "edit-count": {
                    "type": "integer",
                    "example": 47
                },
                "timestamp": {
                    "type": "string",
                    "example": "2024010100"
                }
            }
        },
        "entities.UserEditsContext": {
            "type": "object",
            "properties": {
                "edit-type": {
                    "type": "string",
                    "example": "update"
                },
                "end": {
                    "type": "string",
                    "example": "2024050100"
                },
                "end-point": {
                    "type": "string",
                    "example": "commons-analytics/edits-per-user-monthly"
                },
                "start": {
                    "type": "string",
                    "example": "2024010100"
                },
                "user-name": {
                    "type": "string",
                    "example": "SchlurcherBot"
                }
            }
        },
        "entities.UserEditsResponse": {
            "type": "object",
            "properties": {
                "context": {
                    "$ref": "#/definitions/entities.UserEditsContext"
                },
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.UserEdits"
                    }
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1",
	Host:             "wikimedia.org",
	BasePath:         "/api/rest_v1/metrics",
	Schemes:          []string{"https"},
	Title:            "Wikimedia Commons Impact Metrics API",
	Description:      "Commons Impact Metrics provides analytical data on the impact of community\ncontributions to Wikimedia Commons, focused on contributions from galleries,\nlibraries, archives, and museums. Data provided by this API is available\nunder the [CC0 1.0 license](https://creativecommons.org/publicdomain/zero/1.0/).",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
